<template> 
	<view  class="mcc-dragsub" :id="_id" ref="mccDragsub" @touchend.stop.prevent="clipTouchEnd" @touchstart.stop.prevent="clipTouchStart" @touchmove.stop.prevent="clipTouchMove">
		<slot></slot>
	</view>
</template>

<script setup>
	import { nextTick, ref } from 'vue';
	let _location=[0,0];
	const mccDragsub=ref()
	function color16(ln) {
		if (ln > 3) {
			return Math.floor(Math.random() * 255).toString(36) + "" + color16(ln - 3);
		} else {
			return ""
		}
	}
	const _id=ref(color16(24))
	function clipTouchStart(){}
	function clipTouchEnd(){}
	function clipTouchMove(){}
	nextTick(()=>{
		
	})
</script>

<style scoped lang="scss">
	.mcc-dragsub{
		display: inline-block;
		
	}
</style>